cmconvert(1)

NAME
cmconvert - convert Infernal covariance model files

SYNOPSIS
cmconvert [options] <cmfile>

DESCRIPTION

The cmconvert utility converts an input covariance model file to different Infernal formats.

By default, the input CM file can be any CM file created by Infernal version 1.0 or later; the output CM file is a current Infernal format. Files from versions older than version 1.0 cannot be converted.

<cmfile> may be '-' (dash), which means reading this input from stdin rather than a file.

OPTIONS

-h  Help; print a brief reminder of command line usage and all available options.

-a  Output profiles in ASCII text format. This is the default.

-b  Output profiles in binary format.

-1  Output in legacy Infernal1 (Infernal v1.0 through v1.0.2) ASCII text format. Due to important changes between version v1.0.2 and v1.1, any E-value statistic parameters calculated by cmcalibrate in <cmfile> will not be written to the converted output file.

--mlhmm
    Do not output a CM file. Instead, output one maximum likelihood p7 HMM built from each CM in <cmfile> in HMMER3 ASCII text format. The HMM will have been constructed to be as similar as possible to the CM, without modeling secondary structure. This option could be useful for comparative studies of Infernal and HMMER3.

--fhmm
    Do not output a CM file. Instead, output the filter p7 HMM for each CM in <cmfile> in HMMER3 ASCII text format.

SEE ALSO
See infernal(1) for a master man page with a list of all the individual man pages for programs in the Infernal package.

For complete documentation, see the user guide that came with your Infernal distribution (Userguide.pdf); or see the Infernal web page ().

COPYRIGHT
Copyright (C) 2019 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.
For additional information on copyright and licensing, see the file called COPYRIGHT in your Infernal source distribution, or see the Infernal web page ().

AUTHOR
The Eddy/Rivas Laboratory
Janelia Farm Research Campus
19700 Helix Drive
Ashburn VA 20147 USA
http://eddylab.org